import os
import defectdojo_api
from defectdojo_api.rest import ApiException
from pprint import pprint

configuration = defectdojo_api.Configuration(
    host = os.environ["DEFECTDOJO_URL"]
)

configuration.api_key['tokenAuth'] = os.environ["DEFECTDOJO_TOKEN"]
configuration.api_key_prefix['tokenAuth'] = 'Token'

with defectdojo_api.ApiClient(configuration) as api_client:
    api_instance = defectdojo_api.AnnouncementsApi(api_client)
    announcement_request = defectdojo_api.AnnouncementRequest(
        message='Hallo'
    )

    try:
        api_response = api_instance.announcements_create(announcement_request=announcement_request)
        print(f"{api_response=}")
    except ApiException as e:
        print(f"{e=}, {str(e)}")


    

